using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HT_SKT_Stock
{
    public partial class FrmMainMenu : Form
    {
        public static FrmMainMenu _Form_MainMenuInstance;
        public String AppPath = "";


        public FrmMainMenu()
        {
            InitializeComponent();
        }
                
        private void FrmMainMenu_Load(object sender, EventArgs e)
        {
            if (System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width == 240)
            {
                resolution.ScreenSize.VGAtoQVGA(this);
            }

            this.MaximizeBox = !this.MaximizeBox;
            this.MinimizeBox = !this.MinimizeBox;

            _Form_MainMenuInstance = this;

            String path = this.GetType().Assembly.GetModules()[0].FullyQualifiedName;
            Int32 en = path.LastIndexOf("\\");
            AppPath = path.Substring(0, en);

            lblUser.Text = "User : " + FrmLogin._Form_LoginInstance.userName;
            lblHT.Text = FrmLogin._Form_LoginInstance.DevNO;

        }

        private void btnAppClose_Click(object sender, EventArgs e)
        {
            //this.Close();

            Application.Exit();
        }

        private void btnInbound_Click(object sender, EventArgs e)
        {
            Form frmE = new FrmInboundMenu();
            frmE.Show();
            this.Hide();
        }

        private void btnOutbound_Click(object sender, EventArgs e)
        {
            Form frmE = new FrmOutboundMenu();
            frmE.Show();
            this.Hide();
        }

        private void btnStockManagement_Click(object sender, EventArgs e)
        {
            Form frmE = new FrmStockMenu();
            frmE.Show();
            this.Hide();
        }
    }
}